#ifndef _Banco
#define _Banco
#include <iostream>
using namespace std;

#include "TAD-Cliente.h"
#include "TAD-Conta.h"

class Banco
{
    Conta *contas;
    int nroDeContas, nroDeClientes;
    Cliente *clientes;
    
public:
    Banco()
    {
        this->nroDeContas = 0;
        this->nroDeClientes = 0;
    }
    void insereCliente(int cpf, string Nome);
    void criaConta(int cpf, float depositoInicial);
    void depositaValor(int cpf, float valor);
    
    void leArquivoClientes(const char *nomeDoArquivo);
    void leArquivoDeContas(const char *nomeDoArquivo);
    void leArquivoDeTransacoes(const char *nomeDoArquivo);
    void gravaArquivoDeContas(const char *nomeDoArquivo);
    
    void ordenaClientesPorNome();
    float getSaldo(int cpf);
    void imprimeRelatorio();
};
#endif

